import { Navigate, createBrowserRouter } from "react-router-dom";
import LegalCaseDetail from "@/pages/LegalCaseDetail";
import IndexSystemDetail from "@/pages/IndexSystemDetail";
import CQI from "../pages/CQI";
import BMap from "../pages/BMap";

const router = createBrowserRouter([
  {
    path: "/",
    element: <Navigate to="/legalCaseDetail"></Navigate>,
  },
  {
    path: "/legalCaseDetail",
    element: <LegalCaseDetail></LegalCaseDetail>,
  },
  {
    path: "/indexSystemDetail",
    element: <IndexSystemDetail></IndexSystemDetail>,
  },
  {
    path: "/CQI",
    element: <CQI></CQI>,
  },
  {
    path: "/Map",
    element: <BMap></BMap>,
  },
]);

export default router;
