import { defineConfig } from "vite";
import react from "@vitejs/plugin-react";

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [react()],
  optimizeDeps: {
    // exclude: ["react-bmapgl"],
  },
  server: {
    port: 5174,
    proxy: {
      "/apis": {
        target: "http://171.217.92.33:43173",
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/apis/, ""),
      },
    },
  },

  resolve: {
    alias: {
      "@": "/src",
    },
  },
});
